import { FilteredDataServerResult, RawDataServerResult } from '../metadata/metadata.types';
/**
 * Data server result filter.
 *
 * @param result - The raw data server result.
 * @param rowId - Row id. Defaults to ROW_REF.
 *
 * @public
 * @remarks
 * Centralised filter logic for row operations.
 */
export declare function dataServerResultFilter(result: RawDataServerResult, rowId?: string): FilteredDataServerResult;
//# sourceMappingURL=dataServerResultFilter.d.ts.map