import { ResourceType } from '../../../../datasource';
import type { GenesisResources, ResourceItem } from '../../../../resources';
/**
 * @public
 */
export declare class GenesisResourcesMock implements GenesisResources {
    resources: ResourceItem[];
    nextIsValidResourceResponse: boolean;
    nextResourceTypeForResponse: ResourceType;
    /** {@inheritDoc GenesisResources.isValidResource} */
    isValidResource(resourceName: string): Promise<boolean>;
    /** {@inheritDoc GenesisResources.getResourceTypeFor} */
    getResourceTypeFor(resourceName: string): Promise<ResourceType>;
    destroy(): void;
}
//# sourceMappingURL=genesis.d.ts.map