import type { Message, Session } from '../../../';
/**
 * @internal
 */
export declare class SessionMock implements Session {
    returnUrl: string;
    nextStorageItem: string;
    deleteUserFromSessionStorage(): void;
    setStorageKeyPrefix(prefix: string): void;
    setAuthResult(loginResult: Message): void;
    captureReturnUrl(): void;
    setItem(key: string, value: string): void;
    getItem(key: string): string;
    removeItem(key: string): void;
    setLocalStorageItem(key: string, value: string): void;
    setSessionStorageItem(key: string, value: string): void;
    getLocalStorageItem(key: string): string;
    getSessionStorageItem(key: string): string;
    removeLocalStorageItem(key: string): void;
    removeSessionStorageItem(key: string): void;
}
//# sourceMappingURL=session.d.ts.map