import type { FieldMetadata, Metadata, MetadataDetail } from './metadata.types';
/**
 * Converts the field definitions to field metadata.
 * @public
 * @param fieldDef - The field definitions.
 * @returns An array of field metadata.
 */
export declare const toFieldMetadata: (fieldDef: MetadataDetail[]) => FieldMetadata[];
/**
 * Extracts the field definitions from the metadata.
 * @public
 * @param metadata - The metadata object.
 * @returns An array of metadata detail.
 */
export declare const extractFieldDefinitions: (metadata: Metadata) => MetadataDetail[];
//# sourceMappingURL=metadata.utils.d.ts.map